cpw.mods.fml.common

## Class ModMetadata

- java.lang.Object
- - cpw.mods.fml.common.ModMetadata

-     public class ModMetadata
      extends Object

  Author:
    cpw

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `List<String>` | `authorList`
    `boolean` | `autogenerated`
    `List<ModContainer>` | `childMods`
    `String` | `credits`
    `List<ArtifactVersion>` | `dependants`
    `List<ArtifactVersion>` | `dependencies`
    `String` | `description`
    `String` | `logoFile`
    `String` | `modId`
    `String` | `name`
    `String` | `parent`
    `ModContainer` | `parentMod`
    `Set<ArtifactVersion>` | `requiredMods`
    `String[]` | `screenshots`
    `String` | `updateUrl`
    `String` | `url`
    `boolean` | `useDependencyInformation`
    `String` | `version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModMetadata()`
    `ModMetadata(argo.jdom.JsonNode node)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAuthorList()`
    `String` | `getChildModCountString()`
    `String` | `getChildModList()`
    `String` | `printableSortingRules()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### modId

          public String modId

    - #### name

          public String name

    - #### description

          public String description

    - #### url

          public String url

    - #### updateUrl

          public String updateUrl

    - #### logoFile

          public String logoFile

    - #### version

          public String version

    - #### authorList

          public List<String> authorList

    - #### credits

          public String credits

    - #### parent

          public String parent

    - #### screenshots

          public String[] screenshots

    - #### parentMod

          public ModContainer parentMod

    - #### childMods

          public List<ModContainer> childMods

    - #### useDependencyInformation

          public boolean useDependencyInformation

    - #### requiredMods

          public Set<ArtifactVersion> requiredMods

    - #### dependencies

          public List<ArtifactVersion> dependencies

    - #### dependants

          public List<ArtifactVersion> dependants

    - #### autogenerated

          public boolean autogenerated

  - ### Constructor Detail

    - #### ModMetadata

          public ModMetadata(argo.jdom.JsonNode node)

    - #### ModMetadata

          public ModMetadata()

  - ### Method Detail

    - #### getChildModCountString

          public String getChildModCountString()

    - #### getAuthorList

          public String getAuthorList()

    - #### getChildModList

          public String getChildModList()

    - #### printableSortingRules

          public String printableSortingRules()